Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0024161
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajorhave not tried2013-06-21 13:292013-07-24 17:30
ReporteradrianromeroView Statuspublic 
Assigned Tomarvintm 
PrioritynormalResolutionfixedFixed in VersionRMP24
StatusclosedFix in branchFixed in SCM revision7565ac4130ec
ProjectionnoneETAnoneTarget VersionRMP25
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomigueldejuana
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0024161: Web POS does not use the right default customer

DescriptionIf the hierarchy of organizations has for example two organizations: Org1 and Org2 where Org2 is the son organization of Org1. And both organizations have defined a default customer in the Retail configuration section: Customer1 for Org1 and Customer2 for Org2. If we set up a POS Terminal for Org2, the default customer displayed when log into this terminal is Customer1.

This is wrong, the default customer must be Customer 2
Steps To ReproduceIn description
TagsRegression
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0059622)
adrianromero (manager)
2013-06-21 13:52

This issue seems to be a regression introduced in RMP22.
(0059717)
marvintm (developer)
2013-06-27 19:31

It is indeed a regression introduced in RMP22. However, the problem doesn't happen exactly as it is described in the issue.

For the problem to happen, the following needs to be true:
- There is a business partner defined as customer in an organization in the natural tree of the Store of the POS terminal.
- This business partner needs to have a business partner location defined.
- This business partner doesn't have a contact.
- The name of this business partner comes alphabetically before the name of the selected anonymous customer.

In this case, this second business partner will be selected for new orders instead of the desired anonymous customer.
(0059718)
hgbot (developer)
2013-06-27 19:37

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: b1881b8d3cc5172b3a0baf4db95024ea55cdb883
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Thu Jun 27 19:37:44 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/b1881b8d3cc5172b3a0baf4db95024ea55cdb883 [^]

Fixed issue 24161. Now only the business partner defined as anonymous customer will be selected by default for orders.
The main problem with the query came from the fact that a necessary condition (bpl.businessPartner.id=org.getObretcoCBpartner().getId()) was added with the 'and' operator, but parenthesis were not added properly, so as this was part of a greater expression joined by 'or' operators, other business partners could be incorrectly selected. If these business partners had a name which came before alphabetically as the desired anonymous customer, then they were selected instead.

---
M src/org/openbravo/retail/posterminal/term/BusinessPartner.java
---
(0059719)
migueldejuana (developer)
2013-06-28 09:38

Fixed and reviewed in RMP24
(0059765)
hgbot (developer)
2013-06-28 10:32

Repository: erp/pmods/org.openbravo.retail.posterminal.multiorder
Changeset: b1881b8d3cc5172b3a0baf4db95024ea55cdb883
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Thu Jun 27 19:37:44 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.multiorder/rev/b1881b8d3cc5172b3a0baf4db95024ea55cdb883 [^]

Fixed issue 24161. Now only the business partner defined as anonymous customer will be selected by default for orders.
The main problem with the query came from the fact that a necessary condition (bpl.businessPartner.id=org.getObretcoCBpartner().getId()) was added with the 'and' operator, but parenthesis were not added properly, so as this was part of a greater expression joined by 'or' operators, other business partners could be incorrectly selected. If these business partners had a name which came before alphabetically as the desired anonymous customer, then they were selected instead.

---
M src/org/openbravo/retail/posterminal/term/BusinessPartner.java
---
(0059800)
hgbot (developer)
2013-07-02 08:03

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: db117a1f5bf342824fd5539e92578fbdce3238ca
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Thu Jun 27 19:37:44 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/db117a1f5bf342824fd5539e92578fbdce3238ca [^]

Fixed issue 24161. Now only the business partner defined as anonymous customer will be selected by default for orders.
The main problem with the query came from the fact that a necessary condition (bpl.businessPartner.id=org.getObretcoCBpartner().getId()) was added with the 'and' operator, but parenthesis were not added properly, so as this was part of a greater expression joined by 'or' operators, other business partners could be incorrectly selected. If these business partners had a name which came before alphabetically as the desired anonymous customer, then they were selected instead.

---
M src/org/openbravo/retail/posterminal/term/BusinessPartner.java
---
(0059858)
hgbot (developer)
2013-07-04 16:40

Repository: erp/pmods/org.openbravo.retail.posterminal.multiorder
Changeset: db117a1f5bf342824fd5539e92578fbdce3238ca
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Thu Jun 27 19:37:44 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.multiorder/rev/db117a1f5bf342824fd5539e92578fbdce3238ca [^]

Fixed issue 24161. Now only the business partner defined as anonymous customer will be selected by default for orders.
The main problem with the query came from the fact that a necessary condition (bpl.businessPartner.id=org.getObretcoCBpartner().getId()) was added with the 'and' operator, but parenthesis were not added properly, so as this was part of a greater expression joined by 'or' operators, other business partners could be incorrectly selected. If these business partners had a name which came before alphabetically as the desired anonymous customer, then they were selected instead.

---
M src/org/openbravo/retail/posterminal/term/BusinessPartner.java
---
(0059945)
hgbot (developer)
2013-07-11 09:50

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 7565ac4130ecf100998f78dd2e6949afd2ae543b
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Thu Jun 27 19:37:44 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/7565ac4130ecf100998f78dd2e6949afd2ae543b [^]

Fixed issue 24161. Now only the business partner defined as anonymous customer will be selected by default for orders.
The main problem with the query came from the fact that a necessary condition (bpl.businessPartner.id=org.getObretcoCBpartner().getId()) was added with the 'and' operator, but parenthesis were not added properly, so as this was part of a greater expression joined by 'or' operators, other business partners could be incorrectly selected. If these business partners had a name which came before alphabetically as the desired anonymous customer, then they were selected instead.

---
M src/org/openbravo/retail/posterminal/term/BusinessPartner.java
---
(0059948)
priyam (administrator)
2013-07-11 10:54

closed as status changed by RMP23.2 merge
(0060231)
hgbot (developer)
2013-07-24 13:40

Repository: erp/pmods/org.openbravo.retail.posterminal-col
Changeset: 7565ac4130ecf100998f78dd2e6949afd2ae543b
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Thu Jun 27 19:37:44 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-col/rev/7565ac4130ecf100998f78dd2e6949afd2ae543b [^]

Fixed issue 24161. Now only the business partner defined as anonymous customer will be selected by default for orders.
The main problem with the query came from the fact that a necessary condition (bpl.businessPartner.id=org.getObretcoCBpartner().getId()) was added with the 'and' operator, but parenthesis were not added properly, so as this was part of a greater expression joined by 'or' operators, other business partners could be incorrectly selected. If these business partners had a name which came before alphabetically as the desired anonymous customer, then they were selected instead.

---
M src/org/openbravo/retail/posterminal/term/BusinessPartner.java
---
(0060276)
guilleaer (developer)
2013-07-24 17:30

reclosing

- Issue History
Date Modified Username Field Change
2013-06-21 13:29 adrianromero New Issue
2013-06-21 13:29 adrianromero Assigned To => marvintm
2013-06-21 13:52 adrianromero Note Added: 0059622
2013-06-21 13:52 adrianromero Tag Attached: Regression
2013-06-27 19:31 marvintm Note Added: 0059717
2013-06-27 19:37 hgbot Checkin
2013-06-27 19:37 hgbot Note Added: 0059718
2013-06-27 19:37 hgbot Status new => resolved
2013-06-27 19:37 hgbot Resolution open => fixed
2013-06-27 19:37 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/b1881b8d3cc5172b3a0baf4db95024ea55cdb883 [^]
2013-06-28 09:38 migueldejuana Review Assigned To => migueldejuana
2013-06-28 09:38 migueldejuana Note Added: 0059719
2013-06-28 09:38 migueldejuana Status resolved => closed
2013-06-28 09:38 migueldejuana Fixed in Version => RMP24
2013-06-28 10:32 hgbot Checkin
2013-06-28 10:32 hgbot Note Added: 0059765
2013-06-28 10:32 hgbot Status closed => resolved
2013-06-28 10:32 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/b1881b8d3cc5172b3a0baf4db95024ea55cdb883 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.multiorder/rev/b1881b8d3cc5172b3a0baf4db95024ea55cdb883 [^]
2013-07-02 08:03 hgbot Checkin
2013-07-02 08:03 hgbot Note Added: 0059800
2013-07-02 08:03 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.multiorder/rev/b1881b8d3cc5172b3a0baf4db95024ea55cdb883 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/db117a1f5bf342824fd5539e92578fbdce3238ca [^]
2013-07-04 16:40 hgbot Checkin
2013-07-04 16:40 hgbot Note Added: 0059858
2013-07-04 16:40 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/db117a1f5bf342824fd5539e92578fbdce3238ca [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.multiorder/rev/db117a1f5bf342824fd5539e92578fbdce3238ca [^]
2013-07-11 09:50 hgbot Checkin
2013-07-11 09:50 hgbot Note Added: 0059945
2013-07-11 09:50 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.multiorder/rev/db117a1f5bf342824fd5539e92578fbdce3238ca [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/7565ac4130ecf100998f78dd2e6949afd2ae543b [^]
2013-07-11 10:54 priyam Note Added: 0059948
2013-07-11 10:54 priyam Status resolved => closed
2013-07-24 13:40 hgbot Checkin
2013-07-24 13:40 hgbot Note Added: 0060231
2013-07-24 13:40 hgbot Status closed => resolved
2013-07-24 13:40 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/7565ac4130ecf100998f78dd2e6949afd2ae543b [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-col/rev/7565ac4130ecf100998f78dd2e6949afd2ae543b [^]
2013-07-24 17:30 guilleaer Note Added: 0060276
2013-07-24 17:30 guilleaer Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker